Find the answer to your Linux question:
Results 1 to 3 of 3
Hi Guys, I was trying to install ndiswrapper-1.10 in my linux 10.0 but there was an error; I have installed the kernel src but some how it doesn't installed ndiswrapper. ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Mar 2006
    Posts
    1

    ndiswrapper can't install on SuSE 10.0


    Hi Guys,

    I was trying to install ndiswrapper-1.10 in my linux 10.0 but there was an error; I have installed the kernel src but some how it doesn't installed ndiswrapper. Could any one help this? I have search in google and forums but I can't simillar problem to my installations.

    here is my error message:

    linux:/home/harry/ndiswrapper-1.10 # make install
    make -C driver install
    make[1]: Entering directory `/home/harry/ndiswrapper-1.10/driver'
    make -C /lib/modules/2.6.13-15.8-default/build SUBDIRS=/home/harry/ndiswrapper-1.10/driver \
    DRIVER_VERSION=1.10
    make[2]: Entering directory `/usr/src/linux-2.6.13-15.8-obj/i386/default'
    make -C ../../../linux-2.6.13-15.8 O=../linux-2.6.13-15.8-obj/i386/default
    CC [M] /home/harry/ndiswrapper-1.10/driver/hal.o
    In file included from /home/harry/ndiswrapper-1.10/driver/hal.c:22:
    include/linux/usb.h:147: error: ‘USB_ENDPOINT_XFER_CONTROL’ undeclared here (not in a function)
    include/linux/usb.h:148: error: ‘USB_ENDPOINT_XFER_ISOC’ undeclared here (not in a function)
    include/linux/usb.h:149: error: ‘USB_ENDPOINT_XFER_BULK’ undeclared here (not in a function)
    include/linux/usb.h:150: error: ‘USB_ENDPOINT_XFER_INT’ undeclared here (not in a function)
    make[5]: *** [/home/harry/ndiswrapper-1.10/driver/hal.o] Error 1
    make[4]: *** [_module_/home/harry/ndiswrapper-1.10/driver] Error 2
    make[3]: *** [_all] Error 2
    make[2]: *** [all] Error 2
    make[2]: Leaving directory `/usr/src/linux-2.6.13-15.8-obj/i386/default'
    make[1]: *** [default] Error 2
    make[1]: Leaving directory `/home/harry/ndiswrapper-1.10/driver'
    make: *** [install] Error 2

  2. #2
    Linux Guru AlexK's Avatar
    Join Date
    Feb 2005
    Location
    Earth
    Posts
    3,379
    I can't think of a reason why that error might be occuring, but have you tried using the ndiswrapper which came on the SUSE installation media? you can install it via Yast.

    If you really want to compile it, why not download a different version and see if that helps.
    Life is complex, it has a real part and an imaginary part.

  3. #3
    eug
    eug is offline
    Just Joined! eug's Avatar
    Join Date
    Apr 2006
    Location
    London
    Posts
    3
    There is a fantastic tutorial on how to install ndiswrapper - it has worked for me and I have had so many problems...

    Here is the tutorial, pay close attention to 'Preparing for Installation' and don't skip any steps...

    Let me know how it goes.

    Eug

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •